dracut/0022.patch
Harald Hoyer 9d5d7534b9 dracut - 048-99.git20180921
- git snapshot
2018-09-21 13:45:55 +02:00

25 lines
838 B
Diff

From 26aea0299a7ec702972cbf8b5556731b762dcde9 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Mon, 13 Aug 2018 11:37:44 +0200
Subject: [PATCH] multipath-shutdown: fix shell syntax
seems like a misplaced $()
---
modules.d/90multipath/multipath-shutdown.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/modules.d/90multipath/multipath-shutdown.sh b/modules.d/90multipath/multipath-shutdown.sh
index 47e9990c..f160f45e 100755
--- a/modules.d/90multipath/multipath-shutdown.sh
+++ b/modules.d/90multipath/multipath-shutdown.sh
@@ -1,7 +1,7 @@
#!/bin/bash
for i in $(multipath -l -v1); do
- if ! $(dmsetup table $i | sed -n '/.*queue_if_no_path.*/q1') ; then
+ if ! dmsetup table $i | sed -n '/.*queue_if_no_path.*/q1' ; then
dmsetup message $i 0 fail_if_no_path
fi
done